<?php 
/* SVN FILE: $Id$ */
/* SiteConfig Test cases generated on: 2010-02-09 22:16:50 : 1265721410*/
App::import('Model', 'SiteConfig');

class SiteConfigTestCase extends CakeTestCase {
	var $SiteConfig = null;
	var $fixtures = array('app.site_config');

	function startTest() {
		$this->SiteConfig =& ClassRegistry::init('SiteConfig');
	}

	function testSiteConfigInstance() {
		$this->assertTrue(is_a($this->SiteConfig, 'SiteConfig'));
	}

	function testSiteConfigFind() {
		$this->SiteConfig->recursive = -1;
		$results = $this->SiteConfig->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('SiteConfig' => array(
			'id'  => 1,
			'key_name'  => 'Lorem ipsum dolor sit amet',
			'value'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'modified'  => '2010-02-09 22:16:50'
		));
		$this->assertEqual($results, $expected);
	}
}
?>